pidfile.c File Reference

PID-file management. More...

`#include "pidfile.h"`
`#include <errno.h>`
`#include <glib.h>`
`#include <glib/gstdio.h>`
`#include <libgen.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Macros

#define | G_LOG_DOMAIN "libgvm base"
| GLib log domain.

## Functions

int | pidfile_create (gchar *pid_file_path)
| Create a PID-file.
void | pidfile_remove (gchar *pid_file_path)
| Remove PID file.

## Detailed Description

PID-file management.

## Macro Definition Documentation

## G_LOG_DOMAIN

#define G_LOG_DOMAIN "libgvm base"

GLib log domain.

## Function Documentation

## pidfile_create()

int pidfile_create | ( | gchar * | pid_file_path | ) |

Create a PID-file.

A standard PID file will be created for the given path.

Parameters

  [in] | pid_file_path | The full path of the pid file. E.g. "/tmp/service1.pid"

Returns
  0 for success, anything else indicates an error.

## pidfile_remove()

void pidfile_remove | ( | gchar * | pid_file_path | ) |

Remove PID file.

Parameters

  [in] | pid_file_path | The full path of the pid file. E.g. "/tmp/service1.pid"